Skip to content
Docs
Esc
↑↓navigate↵open⌘Jpreview

Revoke password access

Revokes the password credential and its canonical grant so existing password sessions lose access.

DELETE/v1/spaces/{spaceId}/password-credentials/{credentialId}
Authorization
AuthorizationBearer token · headerrequired

Better Auth session, OAuth access token, OAuth client-credentials token, or sfm_ Space machine credential.

Path parameters
spaceIdstringrequired
credentialIdstringrequired
matches ^(pwd_)[A-Za-z0-9]+$
Responses
204

The password credential was revoked.

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.spacefast.com/v1/spaces/string/password-credentials/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
The password credential was revoked.

Was this page helpful?